package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通道管理对象 channel_number
 * 
 * @author boman
 * @date 2025-05-07
 */
public class ChannelNumber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通道ID */
    private Long channelId;

    /** 通道编号 */
    @Excel(name = "通道编号")
    private String channelNum;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoAddress;

    /** 探测协议类型 */
    @Excel(name = "探测协议类型")
    private String protocolType;

    /** 通道描述 */
    @Excel(name = "通道描述")
    private String channelDetails;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }

    public void setChannelNum(String channelNum) 
    {
        this.channelNum = channelNum;
    }

    public String getChannelNum() 
    {
        return channelNum;
    }

    public void setVideoAddress(String videoAddress) 
    {
        this.videoAddress = videoAddress;
    }

    public String getVideoAddress() 
    {
        return videoAddress;
    }

    public void setProtocolType(String protocolType) 
    {
        this.protocolType = protocolType;
    }

    public String getProtocolType() 
    {
        return protocolType;
    }

    public void setChannelDetails(String channelDetails) 
    {
        this.channelDetails = channelDetails;
    }

    public String getChannelDetails() 
    {
        return channelDetails;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("channelId", getChannelId())
            .append("channelNum", getChannelNum())
            .append("videoAddress", getVideoAddress())
            .append("protocolType", getProtocolType())
            .append("channelDetails", getChannelDetails())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
